Network Instruments Encryption Key Utility

Introduction

The Network Instruments Authentication Server uses 128-bit encryption to keep communications between the Server, Probes and Consoles secure. Each of these entities must have matching encryption key files installed into their respective install directories.

Requirements

You must have the Microsoft Full Cryptographic Service Provider installed. If the Observer Encryption Key Utility displays an error message telling you that the Microsoft Full Cryptographic Service Provider is not available, go to the Microsoft website to download the appropriate upgrade or patch. Internet Explorer versions 6.0, Service Pack 2 and greater includes the Full Cryptographic Service Provider, as do Windows XP and newer versions of Windows.

Generating the Key File

To generate a key file, start the utility and press the Generate Authentication Server Encryption Key button. The utility will prompt you for a directory in which to create the key file. After you select a directory, the file AuthenticationServerKey.oek is generated in the selected location.

Installing the Key File

Once you have generated a key, transfer a copy of that file in a secure manner to the installation directories of the Authentication Server, and the Probes and Consoles you wish to authorize. "In a Secure manner" means "not over the network." Deliver the file on floppy disk rather than emailing it or using the network file system to copy it.

©1994-2004 Network Instruments, LLC and Its Licensors. All Rights Reserved.